changeset 20338:3c87bcf7e0f9

* build-sparse-tests.sh: Fix name of file in comments to match file name.
author John W. Eaton <jwe@octave.org>
date Thu, 02 Jul 2015 17:44:05 -0400
parents 928e2c6f888e
children dadfb0be8a42
files test/build-sparse-tests.sh
diffstat 1 files changed, 7 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/test/build-sparse-tests.sh	Sun Jul 05 21:31:46 2015 -0700
+++ b/test/build-sparse-tests.sh	Thu Jul 02 17:44:05 2015 -0400
@@ -1,4 +1,4 @@
-#!/bin/sh
+#! /bin/sh
 
 # Copyright (C) 2006-2015 David Bateman
 #
@@ -21,15 +21,15 @@
 # Some tests are commented out because they are known to be broken!
 # Search for "# fails"
 
-# ./build_sparse_tests.sh preset
+# ./build-sparse-tests.sh preset
 #    creates sparse.tst with preset tests.
 #    Use "test sparse.tst" from octave to run the tests.
 #
-# ./build_sparse_tests.sh random
+# ./build-sparse-tests.sh random
 #    Creates sprandom.tst with randomly generated matrices.
 #    Use "test sprandom.tst" from octave to run the tests.
 
-# build_sparse_tests.sh generates tests for real and complex sparse matrices.
+# build-sparse-tests.sh generates tests for real and complex sparse matrices.
 # Also, we want to run both fixed tests with known outputs (quick tests)
 # and longer tests with unknown outputs (thorough tests).  This requires
 # two sets of tests -- one which uses preset matrices and another which
@@ -110,7 +110,7 @@
     random) preset=false ;;
     preset) preset=true ;;
     '') preset=true ;;
-    *) echo "build_sparse_tests.sh random|preset" && exit 1 ;;
+    *) echo "build-sparse-tests.sh random|preset" && exit 1 ;;
 esac
 
 if $preset; then
@@ -123,7 +123,7 @@
 cat >$TESTS <<EOF
 ## !!! DO NOT EDIT !!!
 ## THIS IS AN AUTOMATICALLY GENERATED FILE
-## modify build_sparse_tests.sh to generate the tests you need.
+## modify build-sparse-tests.sh to generate the tests you need.
 EOF
 
 
@@ -255,7 +255,7 @@
 ##  end
 ##  The test log is appended to sprandomtest.log
 function [passes,total] = test_sprandom
-  warning ("untested --- fix the source in build_sparse_tests.sh");
+  warning ("untested --- fix the source in build-sparse-tests.sh");
   disp ("appending test output to sprandomtest.log");
   fid = fopen ("sprandomtest.log", "at");
   test ("sprandom.tst", "normal", fid);